#pragma once

#include <Windows.h> 
#include "resource.h" 
#include <shlwapi.h> //Path related function  
#include <commctrl.h> //InitCommonControls function 

// Text new line
#define newLine "\xD\xA"

//Keep size small of executable by dynamic linkage of C run-time library 
//Caution : using MSVCRT.LIB program will need MSVCRT.DLL(vc++6) or MSVCP71.DLL(vc++2003) to run.
//#pragma comment(linker, "/nodefaultlib:libc.lib")//Disable C run-time library static linkage.
//#pragma comment(linker, "/defaultlib:MSVCRT.LIB")//Link dynamic C run-time library {msvcrt.dll). 

//Disable fast load future for Window 98 and program size will get smaller( VC++6 only).
//#pragma comment(linker, "/OPT:NOWIN98")

#pragma comment( lib, "shlwapi.lib" )//SHLWAPI.DLL
#pragma comment( lib, "comctl32.lib" )//COMCTL32.DLL

LRESULT CALLBACK DlgProc(HWND hwndDlg, UINT uMsg, WPARAM wParam, LPARAM lParam);
LRESULT CALLBACK AboutDlgProc(HWND hwndDlg, UINT uMsg, WPARAM wParam, LPARAM lParam);
void GetFileName(HWND hwnd,HWND hTextBox,BOOL bOpen);
void Convert(HWND hWnd);

/*
This Software Created by Muhammad Arshad Latti from Sargodha (Pakistan)
E-Mail :: arshadlatti@gmail.com 
Web Page :: http://www.geocities.com/arshadlati
You can download complied and source versions at  http://www.geocities.com/arshadlati/Projects.htm
*/


